#
# spec file for package xkeycaps (Version 2.46)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86 xpm
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xkeycaps
Copyright:    1991-1999 Jamie Zawinski
Group:        X11/Utilities
Provides:     xkeycaps
Autoreqprov:  on
Version:      2.46
Release:      142
Summary:      A frontend to xmodmap
URL:          http://www.jwz.org/xkeycaps/
Source:       xkeycaps-%{version}.tar.bz2
Patch:        xkeycaps-%{version}.dif
Patch1:       xkeycaps-%{version}-Xmodmap.patch
BuildRoot:    /var/tmp/%{name}-BUILD

%description
xkeycaps is a graphical frontend for xmodmap. A virtual keyboard is
shown and you can redefine any key at runtime; changes are reflected in
your .Xmodmap file. These changes are valid in any other application.
For layout you should choose "PC 102 key keyboard #1 - Linux/XFree86 English."

Authors:
--------
    Jamie Zawinski <jwz@jzw.org>

SuSE series: xap

%prep
%setup
%patch
%patch1
xmkmf -a
touch XKeyCaps_ad.h

%build
make CDEBUGFLAGS=-g

%install
make install DESTDIR=${RPM_BUILD_ROOT}
make install.man DESTDIR=${RPM_BUILD_ROOT}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%doc  README defining.txt hierarchy.txt sgi-microsoft.txt
%doc /usr/X11R6/man/man1/xkeycaps.1x.gz
/usr/X11R6/bin/xkeycaps
#install -d -m 755 ${RPM_BUILD_ROOT}/etc/pam.d
#install -d -m 755 ${RPM_BUILD_ROOT}/usr/X11R6/include/X11/bitmaps/
#install -d -m 755 ${RPM_BUILD_ROOT}/usr/X11R6/include/X11/pixmaps/
# %files
# %doc /usr/X11R6/man/man1/xlock.1x.gz
# %config /etc/pam.d/xlock

%changelog -n xkeycaps
* Fri Aug 17 2001 - nadvornik@suse.cz
- fixed output file name to work with default .xinitrc
* Mon Jun 04 2001 - pblaha@suse.cz
- fixed arguments to XtVa... functions for ia64
* Thu May 24 2001 - pblaha@suse.cz
- fxi cast warning on ia64
* Mon Oct 30 2000 - pblaha@suse.cz
- update -> 2.46 , add build root
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Jul 09 1999 - uli@suse.de
- update -> 2.45
